Name:           SoapySDR
Version:        0.7.1
Release:        1%{?dist}
Summary:        A Vendor Neutral and Platform Independent SDR Support Library

License:        Boost
URL:            https://github.com/pothosware/%{name}
Source0:        https://github.com/pothosware/%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  swig
BuildRequires:  doxygen
BuildRequires: python3-devel
BuildRequires: python3-numpy

%description
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n python3-%{name}
Summary:        Python3 Bindings for SoapySDR
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n %{name}-devel
Summary:        Development Files for SoapySDR
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n %{name}-devel
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n %{name}-doc
Summary:        Development Files for SoapySDR
BuildArch: noarch

%description -n %{name}-doc
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices. This package includes
library header file documentation.
    
    
%prep
%autosetup -n %{name}-%{version}

# https://github.com/pothosware/SoapySDR/issues/228
sed -i 's/ -Wl,--no-undefined//g' cmake/Modules/SoapySDRConfig.cmake

%build
export Python_ADDITIONAL_VERSIONS="%{python3_version}"
%cmake .  -DUSE_PYTHON_CONFIG=ON -DPYTHON3_EXECUTABLE=%{__python3}
%make_build


%install
%make_install
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/%{name}/modules0.7

%check
ctest -V %{?_smp_mflags}

%ldconfig_scriptlets
%files
%license LICENSE_1_0.txt
%{_bindir}/SoapySDRUtil
%{_libdir}/libSoapySDR.so.0.7.1
%{_libdir}/libSoapySDR.so.0.7
%{_mandir}/man1/*
%doc README.md
# for hardware support modules
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules0.7

%files -n python3-%{name}
%license LICENSE_1_0.txt
%{python3_sitearch}/SoapySDR.py
%{python3_sitearch}/_SoapySDR.so
%{python3_sitearch}/__pycache__/SoapySDR.cpython-*.opt-1.pyc
%{python3_sitearch}/__pycache__/SoapySDR.cpython-*.pyc


%files -n %{name}-devel
%{_includedir}/%{name}
%{_libdir}/libSoapySDR.so
%{_libdir}/pkgconfig/*
%dir %{_datadir}/cmake/%{name}
%{_datadir}/cmake/%{name}/*

%files -n %{name}-doc
%license LICENSE_1_0.txt
%doc docs/html/*



%changelog
* Mon Jun 03 2019 Matt Domsch <matt@domsch.com> - 0.7.1-1
- upstream 0.7.1
- fix build for Python 3.8, with thanks to Miro Hrončok (BZ#1716544)

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-3.20180806gite694813
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 15 2019 Miro Hrončok <mhroncok@redhat.com> - 0.6.1-2.20180806gite694813
- Subpackage python2-SoapySDR has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Mon Aug  6 2018 Matt Domsch <matt@domsch.com> 0.6.1-1.20180806gite694813
- initial Fedora packaging
